package dev.adriankuta.pixabay.data.repository

import androidx.paging.PagingData
import dev.adriankuta.pixabay.data.model.PixabayImage
import kotlinx.coroutines.flow.Flow

interface ImageRepository {

    suspend fun searchImageById(id: Int): PixabayImage

    suspend fun searchImages(query: String, page: Int, pageSize: Int): List<PixabayImage>

    fun getSearchResultStream(query: String): Flow<PagingData<PixabayImage>>
}