package dev.adriankuta.pixabay.data.room.dao

import androidx.paging.PagingSource
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import dev.adriankuta.pixabay.data.room.entity.PixabayImageEntity
import dev.adriankuta.pixabay.data.room.entity.PixabayImageEntity.Companion.COLUMN_QUERY_USED
import dev.adriankuta.pixabay.data.room.entity.PixabayImageEntity.Companion.TABLE_NAME

@Dao
internal interface PixabayImagesDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(pixabayImages: List<PixabayImageEntity>)


    @Query("SELECT * FROM $TABLE_NAME WHERE $COLUMN_QUERY_USED LIKE :query ORDER BY entry_id ASC")
    fun imagesByQuery(query: String): PagingSource<Int, PixabayImageEntity>


    @Query("DELETE FROM $TABLE_NAME")
    suspend fun clearAll()
}